| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
SSL
SSL.session

# Method SSL.session()->new_server_states()

Method new_server_states

  `array(.state) new_server_states(string client_random, string server_random, array(int) version)`

Description

  Computes a new set of encryption states, derived from the client_random, server_random and master_secret strings.

Returns

  Array
  `SSL.state read_state` | Read state
  `SSL.state write_state` | Write state